aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <peter@korsgaard.com>2019-02-06 15:10:53 +0100
committerGravatar Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>2019-02-06 15:41:30 +0100
commit723e10c414b26f1b4a8b92de691a3d045e4cb379 (patch)
tree632a2d0f37f03a178a6faabb079b82b5fc677e36
parente228a9fe93ce05c89488375cf7a19ce759930e6d (diff)
downloadbuildroot-723e10c414b26f1b4a8b92de691a3d045e4cb379.tar.gz
buildroot-723e10c414b26f1b4a8b92de691a3d045e4cb379.tar.bz2
package/libmediaart: remove qt4 support
Qt4 support is about to be dropped, so remove the support from libmediaart as well. Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
-rw-r--r--package/libmediaart/Config.in9
-rw-r--r--package/libmediaart/libmediaart.mk4
2 files changed, 5 insertions, 8 deletions
diff --git a/package/libmediaart/Config.in b/package/libmediaart/Config.in
index e073677395..c11d6f49d9 100644
--- a/package/libmediaart/Config.in
+++ b/package/libmediaart/Config.in
@@ -32,12 +32,11 @@ config BR2_PACKAGE_LIBMEDIAART_BACKEND_GDK_PIXBUF
config BR2_PACKAGE_LIBMEDIAART_BACKEND_QT
bool "Qt"
- depends on BR2_PACKAGE_QT || BR2_PACKAGE_QT5
- select BR2_PACKAGE_QT_GUI_MODULE if BR2_PACKAGE_QT
- select BR2_PACKAGE_QT5BASE_GUI if BR2_PACKAGE_QT5
+ depends on BR2_PACKAGE_QT5
+ select BR2_PACKAGE_QT5BASE_GUI
-comment "Qt backend depends on Qt or Qt5"
- depends on !BR2_PACKAGE_QT && !BR2_PACKAGE_QT5
+comment "Qt backend depends on Qt5"
+ depends on !BR2_PACKAGE_QT5
endchoice
diff --git a/package/libmediaart/libmediaart.mk b/package/libmediaart/libmediaart.mk
index f64210c266..a81542ac69 100644
--- a/package/libmediaart/libmediaart.mk
+++ b/package/libmediaart/libmediaart.mk
@@ -25,9 +25,7 @@ else ifeq ($(BR2_PACKAGE_LIBMEDIAART_BACKEND_QT),y)
ifeq ($(BR2_PACKAGE_QT5_VERSION_LATEST),y)
LIBMEDIAART_CONF_ENV += CXXFLAGS="$(TARGET_CXXFLAGS) -std=c++11"
endif
-LIBMEDIAART_DEPENDENCIES += \
- $(if $(BR2_PACKAGE_QT),qt) \
- $(if $(BR2_PACKAGE_QT5),qt5base)
+LIBMEDIAART_DEPENDENCIES += qt5base
LIBMEDIAART_CONF_OPTS += \
--disable-gdkpixbuf \
--enable-qt